package cn.com.countrygarden.bi.main.dao;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.model.MarketingProposal;

import java.util.List;
import java.util.Map;

public interface MarketingProposalMapper extends Mapper<MarketingProposal> {
    MarketingProposal findBy(Map<String, Object> param);
    MarketingProposal findByUk(Map<String, Object> param);
    MarketingProposal sum(Map<String, Object> param);
    List<MarketingProposal> tendency(Map<String, Object> param);
    List<MarketingProposal> search(Map<String, Object> param);
    boolean softDelete(Map<String, Object> param);
}